﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Charts;

namespace DataGridDateTimeLabels
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        private void cboSeries_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {

            AreaSeries aseries = new AreaSeries();
            aseries.ItemsSource = new AllData();

            aseries.XAxis = this.Chart1.Axes["daxis"] as CategoryDateTimeXAxis;

            //aseries.XAxis.Label = "{Date:yyyy,MMM dd}";
            aseries.YAxis = this.Chart1.Axes["yaxis"] as NumericYAxis;
            aseries.ValueMemberPath = "Value";
            this.Chart1.Series.Add(aseries);



        }



    }
    public class AllDataPoint
    {
        public double Value { get; set; }
        public string Label { get; set; }
        public double Open { get; set; }
        public double High { get; set; }
        public double Low { get; set; }
        public double Close { get; set; }
        public DateTime Date { get; set; }
        public double Volume { get; set; }

    }
    public class AllData : ObservableCollection<AllDataPoint>
    {
        public AllData()
            : base()
        {
            this.Add(new AllDataPoint() { Label = "A", Value = 5.0, Open = 2.0, High = 5.0, Low = 1.0, Close = 4.0, Date = new DateTime(2009, 12, 10), Volume = 85 });
            this.Add(new AllDataPoint() { Label = "B", Value = 75.0, Open = 3.0, High = 6.0, Low = 2.0, Close = 5.0, Date = new DateTime(2009, 12, 11), Volume = 2 });
            this.Add(new AllDataPoint() { Label = "C", Value = 2.0, Open = 4.0, High = 7.0, Low = 3.0, Close = 6.0, Date = new DateTime(2009, 12, 12), Volume = 62.2 });
            this.Add(new AllDataPoint() { Label = "D", Value = 90.0, Open = 5.0, High = 8.0, Low = 4.0, Close = 7.0, Date = new DateTime(2009, 12, 13), Volume = 22 });
            this.Add(new AllDataPoint() { Label = "E", Value = 22.2, Open = 6.0, High = 4.0, Low = 0.0, Close = 3.0, Date = new DateTime(2009, 12, 14), Volume = 19 });
            this.Add(new AllDataPoint() { Label = "F", Value = 5.0, Open = 7.0, High = 5.0, Low = 1.0, Close = 4.0, Date = new DateTime(2009, 12, 15), Volume = 27 });
            this.Add(new AllDataPoint() { Label = "G", Value = 62.0, Open = 8.0, High = 6.0, Low = 1.5, Close = 3.0, Date = new DateTime(2009, 12, 16), Volume = 76.9 });
            this.Add(new AllDataPoint() { Label = "H", Value = 1.5, Open = 9.0, High = 7.0, Low = 3.0, Close = 2.0, Date = new DateTime(2009, 12, 17), Volume = 26 });
            this.Add(new AllDataPoint() { Label = "I", Value = 12.75, Open = 10.0, High = 8.0, Low = 2.0, Close = 7.5, Date = new DateTime(2009, 12, 18), Volume = 8 });
            this.Add(new AllDataPoint() { Label = "J", Value = 42.6, Open = 12.0, High = 7.0, Low = 5.0, Close = 32.5, Date = new DateTime(2009, 12, 19), Volume = 28 });
            this.Add(new AllDataPoint() { Label = "K", Value = 77.0, Open = 13.0, High = 5.0, Low = 10.2, Close = 6.5, Date = new DateTime(2009, 12, 20), Volume = 34 });
            this.Add(new AllDataPoint() { Label = "L", Value = 0.0, Open = 18.0, High = 7.0, Low = 9.0, Close = 12.5, Date = new DateTime(2009, 12, 21), Volume = 11 });
            this.Add(new AllDataPoint() { Label = "M", Value = 6.0, Open = 11.0, High = 12.0, Low = 5.0, Close = 2.5, Date = new DateTime(2009, 12, 22), Volume = 17 });
            this.Add(new AllDataPoint() { Label = "N", Value = 10.0, Open = 15.0, High = 7.0, Low = 3.0, Close = 1.5, Date = new DateTime(2009, 12, 23), Volume = 66.5 });
            this.Add(new AllDataPoint() { Label = "O", Value = 24.2, Open = 25.0, High = 10.0, Low = 5.0, Close = 12.5, Date = new DateTime(2009, 12, 24), Volume = 62 });
            this.Add(new AllDataPoint() { Label = "P", Value = 7.6, Open = 9.0, High = 5.5, Low = 12.0, Close = 10.5, Date = new DateTime(2009, 12, 25), Volume = 25 });
            this.Add(new AllDataPoint() { Label = "Q", Value = 92.0, Open = 12.0, High = 8.0, Low = 7.5, Close = 2.2, Date = new DateTime(2009, 12, 26), Volume = 88 });
            this.Add(new AllDataPoint() { Label = "R", Value = 110.0, Open = 13.2, High = 7.5, Low = 6.2, Close = 22.5, Date = new DateTime(2009, 12, 27), Volume = 10 });
            this.Add(new AllDataPoint() { Label = "S", Value = 150.2, Open = 15.8, High = 11.2, Low = 2.0, Close = 7.5, Date = new DateTime(2009, 12, 28), Volume = 87 });
            this.Add(new AllDataPoint() { Label = "T", Value = 82.0, Open = 12.8, High = 7.5, Low = 33, Close = 87, Date = new DateTime(2009, 12, 29), Volume = 65 });
            this.Add(new AllDataPoint() { Label = "U", Value = 60.2, Open = 30, High = 45, Low = 22, Close = 66, Date = new DateTime(2009, 12, 30), Volume = 28 });
        }
    }

    public class MyConverter : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            DateTime dt = new DateTime(2009, 12, 10);
            if ((value as AxisItemDataContext).Item.ToString() == dt.ToString())
            {

                return (((DateTime)(value as AxisItemDataContext).Item).ToString("yyyy,MMM dd"));

            }

            else
            {
                return (((DateTime)(value as AxisItemDataContext).Item).ToString("MMM dd"));

            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
    }


}
